<!DOCTYPE html>
<html lang="en"
      layout:decorate="~{fragments/layout}"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <link th:href="@{/assets/css/bootstrap.min.css}" rel="stylesheet">
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
</head>
<body>

<main>
    <div class="container-fluid">
        <!--<div th:if="${message}">
            <h2 th:text="${message}"/>
        </div>-->

        <div>
            <form method="POST" enctype="multipart/form-data" action="/import">
                <table>
                    <tr>
                        <td>File to upload:</td>
                        <td><input type="file" name="file"/></td>
                    </tr>
                    <tr>
                        <td></td>
                        <td><input type="submit" value="Upload"/></td>
                    </tr>
                </table>
            </form>
        </div>


        <div class="row">
            <div>
                <form method="get" class="m-2">
                    <div class="form-row">
                        <div class="col-sm-12">
                            <div class="form-group">
                                <label class="col-form-label" for="name-search">Name</label>
                                <input id="name-search" type="text" class="form-control input-sm" name="search"
                                       th:value="${search}" placeholder="Cari Materi">
                            </div>
                        </div>
                    </div>

                    <div class="d-flex">
                        <div class="ml-auto">
                            <button class="btn btn-info" type="submit">
                                <i class="fa fa-search fa-fw mr-1"></i> Search
                            </button>
                        </div>
                    </div>
                </form>

                <div class="card-body">
                    <div class="table-responsive">
                        <table class="table table-striped table-bordered table-hover">
                            <thead>
                            <tr>
                                <th>Matauji</th>
                                <th>Penulis</th>
                                <th>No</th>
                                <th>Paket</th>
                                <th>Kompetensi</th>
                                <th>Indikator</th>
                                <th>Materi</th>
                                <th>Spesifikasi</th>
                                <th>Level</th>
                                <th>Text</th>
                                <!--<th>Gambar</th>-->
                                <th>A</th>
                                <th>B</th>
                                <th>C</th>
                                <th>D</th>
                                <th>Kunci</th>
                                <th>Pembahasan</th>
                                <th>Aksi</th>
                            </tr>
                            </thead>

                            <tbody>
                            <tr th:each="d, index : ${data.content}">
                                <td th:text="${d.matauji}"></td>
                                <td th:text="${d.penulis}"></td>
                                <td th:text="${d.no}"></td>
                                <td th:text="${d.paket}"></td>
                                <td th:text="${d.kompetensi}"></td>
                                <td th:text="${d.indikator}"></td>
                                <td th:text="${d.materi}"></td>
                                <td th:text="${d.spesifikasi}"></td>
                                <td th:text="${d.level}"></td>
<!--                                <td>-->
<!--                                    <div>-->
<!--                                        <span th:text="${d.text}" />-->
<!--                                        <img style="float: left" th:style="*{'data:image/jpg;base64,'+d.base64encodedimage == null} ? 'default' : 'none'" th:src="*{'data:image/jpg;base64,'+d.base64encodedimage}" />-->
<!--                                    </div>-->
<!--                                </td>-->
                                <td th:if="${d.base64encodedimage} == null">
                                        [[${d.text}]]
                                </td>
                                <td th:if="${d.base64encodedimage} != null">
                                        <img th:style="*{'data:image/jpg;base64,'+d.base64encodedimage == null} ? 'default' : 'none'" th:src="*{'data:image/jpg;base64,'+d.base64encodedimage}" />
                                        <p>[[${d.text}]]</p>
                                </td>
                                <!--<td th:src="@{'static/images'+${d.gambar}}"></td>-->
                                <td th:text="${d.a}"></td>
                                <td th:text="${d.b}"></td>
                                <td th:text="${d.c}"></td>
                                <td th:text="${d.d}"></td>
                                <td th:text="${d.kunci}"></td>
                                <td th:text="${d.pembahasan}"></td>
                                <td>
                                    <a class="dropdown-item"
                                       th:href="@{/delete(id=${d.id})}"
                                       onclick="return confirm('Are you sure?');">
                                        <em class="fa fa-trash mr-2 text-danger"></em>
                                        <span>Delete</span>
                                    </a>
                                </td>
                            </tr>
                            </tbody>
                        </table>
                    </div>

                </div>

            </div>
        </div>

        <div>
            <ul>
                <li th:each="file : ${files}">
                    <a th:href="${file}" th:text="${file}"/>
                </li>
            </ul>
        </div>
    </div>
</main>
<footer class="text-muted py-5">
    <div class="container">
        <p class="float-end mb-1">
            <a href="#">Back to Top</a>
        </p>
        <p class="mb-1">
            "Album Example is Bootstrap, but please download and customize it for yourself!"
        </p>
        <p class="mb-0">
            "New to Bootstrap? "
            <a href="/">Visit the homepage</a>
        </p>
    </div>
</footer>
</body>
</html>